# frozen_string_literal: true

# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!

require "gapic/common"
require "gapic/config"
require "gapic/config/method"

require "google/cloud/app_engine/v1/version"

require "google/cloud/app_engine/v1/authorized_domains/credentials"
require "google/cloud/app_engine/v1/authorized_domains/client"

module Google
  module Cloud
    module AppEngine
      module V1
        ##
        # Manages domains a user is authorized to administer. To authorize use of a
        # domain, verify ownership via
        # [Webmaster Central](https://www.google.com/webmasters/verification/home).
        #
        # To load this service and instantiate a client:
        #
        #     require "google/cloud/app_engine/v1/authorized_domains"
        #     client = ::Google::Cloud::AppEngine::V1::AuthorizedDomains::Client.new
        #
        module AuthorizedDomains
        end
      end
    end
  end
end

helper_path = ::File.join __dir__, "authorized_domains", "helpers.rb"
require "google/cloud/app_engine/v1/authorized_domains/helpers" if ::File.file? helper_path
